Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517765 - [abrt] dnfdragora-gui: open(): Image.py:2572:open:OSError: cannot identify image file '/home/Eldertree/.icons/Delft/apps/96/dnfdragora.svg'
Summary: [abrt] dnfdragora-gui: open(): Image.py:2572:open:OSError: cannot identify im...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:14d2c89d365d68cb527675f9580...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 12:09 UTC by Sylvia Sánchez
Modified: 2018-11-30 23:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:12:26 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details
File: cgroup (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details
File: cpuinfo (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details
File: environ (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details
File: mountinfo (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details
File: namespaces (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details
File: open_fds (deleted)
2017-11-27 12:09 UTC, Sylvia Sánchez
no flags Details

Description Sylvia Sánchez 2017-11-27 12:09:06 UTC
Description of problem:
As soon as I logged in Gnome Shell, it crashed. It doesn't happens in KDE.

Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: open
exception_type: OSError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.13-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Image.py:2572:open:OSError: cannot identify image file '/home/Eldertree/.icons/Delft/apps/96/dnfdragora.svg'

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 25, in <module>
    dnfdragora.updater.Updater().main()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 61, in __init__
    self.__icon  = Image.open(icon_path)
  File "/usr/lib64/python3.6/site-packages/PIL/Image.py", line 2572, in open
    % (filename if filename else fp))
OSError: cannot identify image file '/home/Eldertree/.icons/Delft/apps/96/dnfdragora.svg'

Local variables in innermost frame:
im: None
_open_core: <function open.<locals>._open_core at 0x7f3c6634fae8>
prefix: b'<?xml version="1'
filename: '/home/Eldertree/.icons/Delft/apps/96/dnfdragora.svg'
exclusive_fp: True
mode: 'r'
fp: <_io.BufferedReader name='/home/Eldertree/.icons/Delft/apps/96/dnfdragora.svg'>

Comment 1 Sylvia Sánchez 2017-11-27 12:09:12 UTC
Created attachment 1359442 [details]
File: backtrace

Comment 2 Sylvia Sánchez 2017-11-27 12:09:13 UTC
Created attachment 1359443 [details]
File: cgroup

Comment 3 Sylvia Sánchez 2017-11-27 12:09:15 UTC
Created attachment 1359444 [details]
File: cpuinfo

Comment 4 Sylvia Sánchez 2017-11-27 12:09:17 UTC
Created attachment 1359445 [details]
File: environ

Comment 5 Sylvia Sánchez 2017-11-27 12:09:18 UTC
Created attachment 1359446 [details]
File: mountinfo

Comment 6 Sylvia Sánchez 2017-11-27 12:09:20 UTC
Created attachment 1359447 [details]
File: namespaces

Comment 7 Sylvia Sánchez 2017-11-27 12:09:22 UTC
Created attachment 1359448 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 14:04:43 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 23:12:26 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.